# SegmentInfo (vilya 1.3 API)
Date: 2011-04-06

## com.threerings.puzzle.drop.data
Class SegmentInfo

    java.lang.Object
      com.threerings.puzzle.drop.data.SegmentInfo

    public class SegmentInfo

extends Object

Describes a segment of pieces in a `DropBoard`.

Field Summary
`int` `dir` The segment's direction; one of `DirectionCodes.HORIZONTAL` or `DirectionCodes.VERTICAL`.
`int` `len` The segment's length in pieces.
`int` `x` The segment's lower-left board coordinates.
`int` `y` The segment's lower-left board coordinates.

Constructor Summary
`SegmentInfo(int dir, int x, int y, int len)` Constructs a segment info object.

Method Summary
`String` `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### dir

    public int dir

  The segment's direction; one of `DirectionCodes.HORIZONTAL` or `DirectionCodes.VERTICAL`.

### x

    public int x

  The segment's lower-left board coordinates.

### y

    public int y

  The segment's lower-left board coordinates.

### len

    public int len

  The segment's length in pieces.

Constructor Detail

### SegmentInfo

    public SegmentInfo(int dir,
                       int x,
                       int y,
                       int len)

  Constructs a segment info object.

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Copyright © 2011. All Rights Reserved.